%define wayland_ver 1.3.0

Summary:	The Weston Wayland Compositor
Name:		weston
Version:	1.3.0
Release:	%mkrel 2
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
License:	MIT
Group:		Graphics/Utilities
Url:		http://wayland.freedesktop.org/
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-egl) >= 1.11.3
BuildRequires:	pkgconfig(cairo-xcb)
BuildRequires:	pkgconfig(colord) >= 0.1.27
BuildRequires:	pkgconfig(egl) >= 7.10
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libdrm) >= 2.4.30
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libudev) >= 136
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(mtdev) >= 1.1.0
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-server) >= 1.1.90
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-dri2)
BuildRequires:	pkgconfig(xcb-shm)
BuildRequires:	pkgconfig(xcb-xfixes)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pam-devel
BuildRequires:	jpeg-devel

%description
Weston is the reference implementation of a Wayland compositor, and a
useful compositor in its own right. Weston has various backends that
lets it run on Linux kernel modesetting and evdev input as well as
under X11.
There is also a quite capable terminal emulator (weston-terminal) and
an toy/example desktop shell. Finally, Weston also provides
integration with the Xorg server and can pull X clients into the
Wayland desktop and act as a X window manager.

%package demos
Summary:	Demo clients for Weston
Group:		Graphics/Utilities

%description demos
This package contains a few example clients for Weston, from simple
clients that demonstrate certain aspects of the protocol to more
complete clients and a simplistic toolkit demo clients for Weston.


%package devel
Summary: Common headers for weston
License: MIT
%description devel
Common headers for weston

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x --disable-setuid-install
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/%{name}/*.la

for d in $(find clients/ -type f -not -name Makefile -and -not -name '*.*' -and -not -name '%{name}-*'); do
    install -m755 $d %{buildroot}%{_bindir}/%{name}-$(basename $d)
done

%files
%{_bindir}/%{name}
%{_bindir}/wcap-decode
%attr(4755,root,root) %{_bindir}/%{name}-launch
%{_bindir}/%{name}-info
%{_bindir}/%{name}-terminal
%{_libexecdir}/%{name}-*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.svg
%{_mandir}/man*/*

%files demos

%files devel
%{_includedir}/weston/*.h
%{_libdir}/pkgconfig/weston.pc


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 541069
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 tv <tv> 1.3.0-1.mga4
+ Revision: 495049
- adjust file list

* Sat Sep 14 2013 wally <wally> 1.2.2-2.mga4
+ Revision: 478957
- rebuild for new colord

* Fri Aug 30 2013 tv <tv> 1.2.2-1.mga4
+ Revision: 473437
- adjust file list
- new release

* Sat Aug 17 2013 fwang <fwang> 1.2.0-2.mga4
+ Revision: 467155
- update file list
- xcb-xkb does not exist now
- cleanup br

* Sat Aug 17 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 467145
- update file list

  + tv <tv>
    - new release

* Mon Jun 10 2013 tv <tv> 1.1.1-1.mga4
+ Revision: 441777
- adjust file list
- adjust file list
- BR latest libunwind-devel
- new release

* Tue Jun 04 2013 fwang <fwang> 1.0.3-4.mga4
+ Revision: 436933
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 385683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Wed Jan 02 2013 pterjan <pterjan> 1.0.3-2.mga3
+ Revision: 337495
- Fix for _libdir != _libexecdir

* Thu Dec 20 2012 kamil <kamil> 1.0.3-1.mga3
+ Revision: 333261
- update %%files
- new version 1.0.3, update Source0

* Tue Oct 23 2012 blino <blino> 1.0.0-1.mga3
+ Revision: 309359
- 1.0.0

* Wed Oct 17 2012 fwang <fwang> 0.99.0-1.mga3
+ Revision: 307714
- update file list

  + blino <blino>
    - use Graphics/Other group
    - 0.99.0

* Tue Aug 07 2012 blino <blino> 0.95.0-3.mga3
+ Revision: 279829
- fix package group

* Wed Jul 25 2012 blino <blino> 0.95.0-2.mga3
+ Revision: 274379
- update descriptions
- package demo clients in weston-demos

* Tue Jul 24 2012 blino <blino> 0.95.0-1.mga3
+ Revision: 274124
- buildrequire xcursor devel
- do not package wcap-snapshot (dropped upstream)
- 0.95.0

* Tue Jul 24 2012 blino <blino> 0.94.90-2.mga3
+ Revision: 273981
- weston-launch should be setuid root instead of weston
- buildrequire poppler-glib-devel instead
- buildrequire poppler-devel

* Tue Jul 24 2012 blino <blino> 0.94.90-1.mga3
+ Revision: 273906
- buildrequire libvpx-devel
- buildrequire systemd-devel
- buildrequire pam-devel
- package new files (wcap-*, weston-launch, screensaver, screenshoter)
- buildrequire mtdev devel
- require newer xkbcommon
- 0.94.90
- drop xkbcommon include patch cherry-pick

* Sun Jul 01 2012 colin <colin> 0.85.0-2.mga3
+ Revision: 265943
- Add missing BuildRequire on mesaglu-devel
- Rebuild for new libudev major

* Mon Mar 05 2012 blino <blino> 0.85.0-1.mga2
+ Revision: 218311
- buildrequire jpeg-devel
- buildrequire cairo devel
- buildrequire pixman and png devel packages
- initial release
- Created package structure for weston.

